Draft Facebinder/tr: Difference between revisions

From FreeCAD Documentation
(Created page with "* 0.14 sürümünden önce bulunmamaktadır.")
(Updating to match new version of source page)
Line 1: Line 1:
<languages/>
<languages/>
<div class="mw-translate-fuzzy">
{{GuiCommand/tr|Name=Yüz kaplama|Name/tr=Yüz kaplama|Workbenches=[[Draft Module/tr|Taslak]], [[Arch Module/tr|Yapı]]|MenuLocation=Taslak → Yüz kaplama|Shortcut=F F}}
{{GuiCommand/tr|Name=Yüz kaplama|Name/tr=Yüz kaplama|Workbenches=[[Draft Module/tr|Taslak]], [[Arch Module/tr|Yapı]]|MenuLocation=Taslak → Yüz kaplama|Shortcut=F F}}
</div>


== Tanım ==
== Tanım ==


<div class="mw-translate-fuzzy">
Yüz kaplama, diğer nesnelerin seçilmiş yüzlerinden yapılmış çok basit bir nesnedir. Parametriktir, orijinal nesneyi değiştirebilir ve ön yüz nesnesi buna göre güncellenir. Daha sonra, örneğin, diğer nesnelerden bir yüz topluluğundan bir ekstrüzyon yapmak için kullanılabilir. Tipik bir kullanım, birkaç duvar parçasını kapsayan bir nesne inşa etmek için mimari tasarımdadır. Yüz tutucuyu yarattıktan sonra hareket ettirebilir ve döndürebilirsiniz, her şey orijinal yüzlere bağlı kalacaktır.
Yüz kaplama, diğer nesnelerin seçilmiş yüzlerinden yapılmış çok basit bir nesnedir. Parametriktir, orijinal nesneyi değiştirebilir ve ön yüz nesnesi buna göre güncellenir. Daha sonra, örneğin, diğer nesnelerden bir yüz topluluğundan bir ekstrüzyon yapmak için kullanılabilir. Tipik bir kullanım, birkaç duvar parçasını kapsayan bir nesne inşa etmek için mimari tasarımdadır. Yüz tutucuyu yarattıktan sonra hareket ettirebilir ve döndürebilirsiniz, her şey orijinal yüzlere bağlı kalacaktır.
</div>

It can be used to create an extrusion from a collection of faces from other objects. A typical use is in architectural design to build an object that covers several walls, for example, a wall paper, or wall finish.


[[Image:Draft facebinder example.jpg|400px]]
[[Image:Draft facebinder example.jpg|400px]]
{{Caption|Facebinder created from the faces of solid walls}}


== Nasıl kullanılır ==
== Nasıl kullanılır ==


<div class="mw-translate-fuzzy">
# Nesnelerdeki yüzleri seçin (birkaç yüz seçmek için CTRL kullanın)
# Nesnelerdeki yüzleri seçin (birkaç yüz seçmek için CTRL kullanın)
# {{KEY | [[Image: Draft_Facebinder.png | 16px]] [[Draft_Facebinder/tr| Yüz kaplama]]}}, düğmesine basın veya {{KEY | F}}, {{KEY | F}} tuşlarına basın
# {{KEY | [[Image: Draft_Facebinder.png | 16px]] [[Draft_Facebinder/tr| Yüz kaplama]]}}, düğmesine basın veya {{KEY | F}}, {{KEY | F}} tuşlarına basın
</div>


The Facebinder can be edited by double clicking on the element in the tree view. Then you can change the faces that are part of the object.
* To add a face, click on a face of a solid object in the 3D view, and then click on the {{Button|[[Image:Arch_Add.svg|16px]] Add}} button.
* To remove a face, select one of the sub-elements in the list, and then click on the {{Button|[[Image:Arch_Remove.svg|16px]] Remove}} button.
* Press {{KEY|Esc}} or the {{Button|OK}} button to complete the edition.

== Options ==
This object has no options when it's being created. Only selected faces will be used to create the Facebinder object.

== Properties ==
=== Data ===
* {{PropertyData|Extrusion}}: specifies an extrusion thickness to apply to all faces of the shape.
* {{PropertyData|Remove Splitter}}: if it is {{TRUE}} it tries to fuse the internal intersections of the Facebinder when it extruded.
* {{PropertyData|Sew}}: if it is {{TRUE}} it tries to perform a topological sewing operation on the Facebinder when it extruded.

=== View ===
* {{PropertyView|Pattern}}: specifies a [[Draft Pattern]] with which to fill the face of the shape. This property only works if {{PropertyView|Display Mode}} is "Flat Lines".
* {{PropertyView|Pattern Size}}: specifies the size of the [[Draft Pattern]].

<div class="mw-translate-fuzzy">
== Betik ==
== Betik ==
</div>


<div class="mw-translate-fuzzy">
Yüz kaplama aracı, aşağıdaki işlevler kullanılarak komut dosyalarında ve [[macros/tr|makrolar]] içinde kullanılabilir:
Yüz kaplama aracı, aşağıdaki işlevler kullanılarak komut dosyalarında ve [[macros/tr|makrolar]] içinde kullanılabilir:
</div>
{{Code|code=
{{Code|code=
makeFacebinder ( selectionset )
Facebinder = makeFacebinder(selectionset, name="Facebinder")
}}
}}
<div class="mw-translate-fuzzy">
* Verilen seçim kümesinden, FreeCADGui.Selection.getSelectionEx () yönteminin döndürdüğü gibi seçim nesnelerinin bir listesi olan bir yüz kaplama nesnesi oluşturur.
* Verilen seçim kümesinden, FreeCADGui.Selection.getSelectionEx () yönteminin döndürdüğü gibi seçim nesnelerinin bir listesi olan bir yüz kaplama nesnesi oluşturur.
* Sadece seçilen yüzler dikkate alınır.
* Sadece seçilen yüzler dikkate alınır.
* Yeni oluşturulan nesneyi döndürür.
* Yeni oluşturulan nesneyi döndürür.
</div>

The thickness of the ShapeString can be added by overwriting its {{incode|Extrusion}} attribute; the value is entered in millimeters.

The placement of the ShapeString can be changed by overwriting its {{incode|Placement}} attribute, or by individually overwriting its {{incode|Placement.Base}} and {{incode|Placement.Rotation}} attributes.


Örnek:
Örnek:
{{Code|code=
{{Code|code=
import Draft, FreeCADGui
import FreeCAD, FreeCADGui, Draft

mySelection = FreeCADGui.Selection.getSelectionEx()
# Insert a solid box
Draft.makeFacebinder(mySelection)
Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 2300
Box.Width = 800
Box.Height = 1000

# Pick any two side faces, and then
selection = FreeCADGui.Selection.getSelectionEx()
Facebinder = Draft.makeFacebinder(selection)
Facebinder.Extrusion = 50
FreeCAD.ActiveDocument.recompute()

Facebinder.Placement.Base = FreeCAD.Vector(1000, -1000, 100)
Facebinder.ViewObject.ShapeColor = (0.99, 0.99, 0.4)
}}
}}
== Sınırlamalar ==


{{Draft Tools navi}}
* 0.14 sürümünden önce bulunmamaktadır.
{{Userdocnavi}}
{{clear}}
{{clear}}

Revision as of 13:01, 8 January 2019

Yüz kaplama

Menü konumu
Taslak → Yüz kaplama
Tezgahlar
Taslak, Yapı
Varsayılan kısayol
F F
Versiyonda tanıtıldı
-
Ayrıca bkz
Hiçbiri

Tanım

Yüz kaplama, diğer nesnelerin seçilmiş yüzlerinden yapılmış çok basit bir nesnedir. Parametriktir, orijinal nesneyi değiştirebilir ve ön yüz nesnesi buna göre güncellenir. Daha sonra, örneğin, diğer nesnelerden bir yüz topluluğundan bir ekstrüzyon yapmak için kullanılabilir. Tipik bir kullanım, birkaç duvar parçasını kapsayan bir nesne inşa etmek için mimari tasarımdadır. Yüz tutucuyu yarattıktan sonra hareket ettirebilir ve döndürebilirsiniz, her şey orijinal yüzlere bağlı kalacaktır.

It can be used to create an extrusion from a collection of faces from other objects. A typical use is in architectural design to build an object that covers several walls, for example, a wall paper, or wall finish.

Facebinder created from the faces of solid walls

Nasıl kullanılır

  1. Nesnelerdeki yüzleri seçin (birkaç yüz seçmek için CTRL kullanın)
  2. Yüz kaplama, düğmesine basın veya F, F tuşlarına basın

The Facebinder can be edited by double clicking on the element in the tree view. Then you can change the faces that are part of the object.

  • To add a face, click on a face of a solid object in the 3D view, and then click on the Add button.
  • To remove a face, select one of the sub-elements in the list, and then click on the Remove button.
  • Press Esc or the OK button to complete the edition.

Options

This object has no options when it's being created. Only selected faces will be used to create the Facebinder object.

Properties

Data

  • VeriExtrusion: specifies an extrusion thickness to apply to all faces of the shape.
  • VeriRemove Splitter: if it is true it tries to fuse the internal intersections of the Facebinder when it extruded.
  • VeriSew: if it is true it tries to perform a topological sewing operation on the Facebinder when it extruded.

View

  • GörünümPattern: specifies a Draft Pattern with which to fill the face of the shape. This property only works if GörünümDisplay Mode is "Flat Lines".
  • GörünümPattern Size: specifies the size of the Draft Pattern.

Betik

Yüz kaplama aracı, aşağıdaki işlevler kullanılarak komut dosyalarında ve makrolar içinde kullanılabilir:

Facebinder = makeFacebinder(selectionset, name="Facebinder")
  • Verilen seçim kümesinden, FreeCADGui.Selection.getSelectionEx () yönteminin döndürdüğü gibi seçim nesnelerinin bir listesi olan bir yüz kaplama nesnesi oluşturur.
  • Sadece seçilen yüzler dikkate alınır.
  • Yeni oluşturulan nesneyi döndürür.

The thickness of the ShapeString can be added by overwriting its Extrusion attribute; the value is entered in millimeters.

The placement of the ShapeString can be changed by overwriting its Placement attribute, or by individually overwriting its Placement.Base and Placement.Rotation attributes.

Örnek:

import FreeCAD, FreeCADGui, Draft

# Insert a solid box
Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 2300
Box.Width = 800
Box.Height = 1000

# Pick any two side faces, and then
selection = FreeCADGui.Selection.getSelectionEx()
Facebinder = Draft.makeFacebinder(selection)
Facebinder.Extrusion = 50
FreeCAD.ActiveDocument.recompute()

Facebinder.Placement.Base = FreeCAD.Vector(1000, -1000, 100)
Facebinder.ViewObject.ShapeColor = (0.99, 0.99, 0.4)